Skip to main content

v0/endpoints/bulk/tags REST API Endpoint (POST)

Add a tag to multiple endpoints in a single call.

Updated on
Jun 26, 2026

Body Parameters

ids
array
REQUIRED

An array of endpoint IDs to tag

label
string
REQUIRED

The tag label to add to the endpoints

Returns

data
object

Contains the result of the bulk tag operation

total
integer

The total number of endpoints in the request

updated_count
integer

The number of endpoints successfully updated

failed_count
integer

The number of endpoints that failed to update

results
array

An array of result objects for each endpoint

id
string

The endpoint ID

success
boolean

Whether the tag was successfully added to this endpoint

tag
object

The tag that was added to the endpoints

tag_id
integer

The unique identifier of the tag

label
string

The label/name of the tag

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free